> ## Documentation Index
> Fetch the complete documentation index at: https://dripart-feat-openapi-i18n.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 노드의 특정 버전 검색



## OpenAPI

````yaml /openapi/registry.ko.yaml get /nodes/{nodeId}/versions/{versionId}
openapi: 3.0.2
info:
  title: Comfy API
  version: '1.0'
servers:
  - url: https://api.comfy.org
security: []
paths:
  /nodes/{nodeId}/versions/{versionId}:
    get:
      tags:
        - Registry
      summary: 노드의 특정 버전 검색
      operationId: GetNodeVersion
      parameters:
        - in: path
          name: nodeId
          required: true
          schema:
            type: string
        - description: 노드의 버전입니다. (UUID가 아닙니다.)
          in: path
          name: versionId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NodeVersion'
          description: 특정 노드 버전에 대한 상세 정보
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: 노드 버전을 찾을 수 없음
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: 내부 서버 오류
components:
  schemas:
    NodeVersion:
      properties:
        changelog:
          description: 이 버전에서 변경된 사항 요약
          type: string
        comfy_node_extract_status:
          description: Comfy 노드 추출 프로세스의 상태
          type: string
        createdAt:
          description: 버전이 생성된 날짜와 시간
          format: date-time
          type: string
        dependencies:
          description: 노드에 필요한 pip 의존성 목록
          items:
            type: string
          type: array
        deprecated:
          description: 이 버전이 지원 중단되었는지 여부를 나타냅니다.
          type: boolean
        downloadUrl:
          description: '[출력 전용] 이 노드 버전을 다운로드하는 URL'
          type: string
        id:
          type: string
        node_id:
          description: 노드의 고유 식별자
          type: string
        status:
          $ref: '#/components/schemas/NodeVersionStatus'
        status_reason:
          type: string
        supported_accelerators:
          description: '이 노드가 지원하는 가속기 목록 (예: CUDA, DirectML, ROCm)'
          items:
            type: string
          type: array
        supported_comfyui_frontend_version:
          description: 지원되는 ComfyUI 프론트엔드 버전
          type: string
        supported_comfyui_version:
          description: 지원되는 ComfyUI 버전
          type: string
        supported_os:
          description: 이 노드가 지원하는 운영 체제 목록
          items:
            type: string
          type: array
        tags:
          items:
            type: string
          type: array
        tags_admin:
          description: 보안 경고 및 관리자 메타데이터를 위한 관리자 전용 태그
          items:
            type: string
          type: array
        version:
          description: 시맨틱 버전 관리를 따르는 버전 식별자. 노드에 대해 고유해야 합니다.
          type: string
      type: object
    Error:
      properties:
        details:
          description: 오류에 대한 선택적 상세 정보 또는 해결을 위한 힌트.
          items:
            type: string
          type: array
        message:
          description: 오류에 대한 명확하고 간결한 설명.
          type: string
      type: object
    ErrorResponse:
      properties:
        error:
          type: string
        message:
          type: string
      required:
        - error
        - message
      type: object
    NodeVersionStatus:
      enum:
        - NodeVersionStatusActive
        - NodeVersionStatusDeleted
        - NodeVersionStatusBanned
        - NodeVersionStatusPending
        - NodeVersionStatusFlagged
      type: string

````